#ifndef __WFXDISPLAY_WFXDISPLAY_H__
#define __WFXDISPLAY_WFXDISPLAY_H__

#include <WFX/WFX.h>

class WFXDisplay : public WFX::lang::WFXGUIApplication {
    public:
        
        /** Ctor */
        WFXDisplay(WFX::Int argc, WFX::Char *argv[]);
        ~WFXDisplay();


        /** implement task interface */
        bool start();
        void stop();
        void update();
        /** input */
        void keyPressed(WFX::input::KeyEvent k);
        void keyReleased(WFX::input::KeyEvent k);

    protected:
        
    private:
        WFX::renderer::RenderJob*  MainJob;
        WFX::scene::ListSceneGraph* MainGraph;
        WFX::renderer::Viewport* MainPort;
        WFX::renderer::FirstPersonCamera* MainCamera;

    
};

#endif

